MODULE YOMRFPDS

USE PARKIND1  ,ONLY : JPIM

USE PARFPOS, ONLY : JPOSPHY

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

!*    Climatology and geometry fields used for post-processing

! MOFPTR : Field pointers (fixed dimension) for climatology fields
! MFPVSO : internal codes of climatology fields 
! NFPVSO : number of climatology fields

! NRFPOS : total number of fields in buffer (climatology + geometry)

! MFPGMO : field pointer for output map factor
! MFPGNXO: field pointer for output X-component of compass
! MFPGNYO: field pointer for output Y-component of compass

INTEGER(KIND=JPIM) :: MOFPTR(JPOSPHY)

INTEGER(KIND=JPIM), ALLOCATABLE :: MFPVSO(:)

INTEGER(KIND=JPIM) :: NFPVSO
INTEGER(KIND=JPIM) :: NRFPOS
INTEGER(KIND=JPIM) :: MFPGMO
INTEGER(KIND=JPIM) :: MFPGNXO
INTEGER(KIND=JPIM) :: MFPGNYO

!     ------------------------------------------------------------------
END MODULE YOMRFPDS
